package com.dev.swms.server.service.base;

import java.util.List;

import org.springframework.transaction.annotation.Transactional;

import com.dev.swms.server.model.base.Structure;
import com.dev.swms.server.model.shipping.PickTicket;
import com.dev.energy.server.service.BaseManager;

@Transactional(readOnly = true)
public interface StructureManager extends BaseManager {
	/**
	 * 保存组织信息
	 * @param organization
	 */
	@Transactional
	void saveOrganization(Structure organization);
	
	/**
	 * 失效组织信息
	 * @param orgIds
	 */
	@Transactional
	void inActionOrganization(List<Long> orgIds);
	
	/**
	 * 恢复组织信息
	 * @param orgIds
	 */
	@Transactional
	void resumptionOrganization(List<Long> orgIds);
	@Transactional
	void cutRelationCustomerToComp(List<Long> ids);
	@Transactional
	void cutRelationSupplierToComp(List<Long> ids);
	@Transactional
	void cutRelationTransSiteToComp(List<Long> ids);
	@Transactional
	void addCustomerToCompRelation(List<Long> ids,Long id);
	@Transactional
	void addSupplierToCompRelation(List<Long> ids,Long id);
	@Transactional
	void addTransSiteToCompRelation(List<Long> ids,Long id);
	
	//添加供应商
	@Transactional
	void saveSupplier(Structure organization);
	
	//删除供应商
	@Transactional
	void deleteSupplier(List<Long> ids);
	
	//失效
	@Transactional
	void structureInvalid(List<Long> ids);
	
	//恢复
	@Transactional
	void structurerestore(List<Long> ids);
	
	//冻结
	@Transactional
	void structureFrozen(List<Long> ids);
		
	//解冻
	@Transactional
	void structureThaw(List<Long> ids);
	
	/** 保存用户组织 -客户管理**/
	@Transactional
	void storeUserOragin(Long orgId,List<Long> Ids);
	
	/** 删除用户-客户管理 **/
	@Transactional
	void deleteUserOragin(List<Long> ids);
	@Transactional
	void storePickTicket(Long id,String des) ;
	@Transactional
	void returnAsn(List<Long> ids);
	
}
